Subject: bug#2017: 23.0.60; C-c in Rmail re-encodes quoted-printable parts

From: Richard M Stallman <[email-masked]>
Date: Sun, 25 Jan 2009 13:14:38 -0500

There are 2 bugs here: (1) Rmail should not re-encode the text in any
    way, and (2) it should never touch the headers.

The code in rmail-cease-edit is meant to re-encode the entire message
in cases where rmail-show-message decoded the entire message.  It should
not operate in the case you described.

      (setq character-coding (mail-fetch-field "content-transfer-encoding")

is supposed to get the encoding specified by the message header for
the entire message, and it ought not notice anything specified
in/for individual mime parts.

When this fails for you, what value does character-coding get?  If it
is non-nil, can you step thru mail-fetch-field and see how that
happened?

Is it that the header specifies this field
and the message also has mime parts?
If so, rmail-cease-edit needs to operate only on the "body"
and not on any mime parts.

In addition, rmail-cease-edit ought to check for editing done in
message headers, and install the edited headers into the message.
Ideally it should make a list of the headers initially shown
so that it can tell if the user deleted any headers and delete those
from the message.